VERSION 5.00
Begin VB.UserControl Fetcher 
   ClientHeight    =   1275
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   2115
   InvisibleAtRuntime=   -1  'True
   ScaleHeight     =   1275
   ScaleWidth      =   2115
   Begin VB.Label Label2 
      Caption         =   "Fetcher Control"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   24
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   -1  'True
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1095
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1935
   End
End
Attribute VB_Name = "Fetcher"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'Default Property Values:
Const m_def_Enabled = 0
Const m_def_BorderStyle = 0
'Property Variables:
Dim m_Enabled As Boolean
Dim m_BorderStyle As Integer
'Event Declarations:
Event DocReceived(Document As String, hURL As String)

Public Property Get Enabled() As Boolean
Attribute Enabled.VB_Description = "Returns/sets a value that determines whether an object can respond to user-generated events."
    Enabled = m_Enabled
End Property

Public Property Let Enabled(ByVal New_Enabled As Boolean)
    m_Enabled = New_Enabled
    PropertyChanged "Enabled"
End Property

Public Property Get BorderStyle() As Integer
Attribute BorderStyle.VB_Description = "Returns/sets the border style for an object."
    BorderStyle = m_BorderStyle
End Property

Public Property Let BorderStyle(ByVal New_BorderStyle As Integer)
    m_BorderStyle = New_BorderStyle
    PropertyChanged "BorderStyle"
End Property

Private Sub UserControl_AsyncReadComplete(AsyncProp As AsyncProperty)
On Error Resume Next

    RaiseEvent DocReceived(StrConv(AsyncProp.Value, vbUnicode), AsyncProp.PropertyName)
    If Err Then
        CancelURL AsyncProp.PropertyName
        RaiseEvent DocReceived(Err.Description, "Failure")
    End If

End Sub

'Initialize Properties for User Control
Private Sub UserControl_InitProperties()
    m_Enabled = m_def_Enabled
    m_BorderStyle = m_def_BorderStyle
End Sub

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

    m_Enabled = PropBag.ReadProperty("Enabled", m_def_Enabled)
    m_BorderStyle = PropBag.ReadProperty("BorderStyle", m_def_BorderStyle)
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)

    Call PropBag.WriteProperty("Enabled", m_Enabled, m_def_Enabled)
    Call PropBag.WriteProperty("BorderStyle", m_BorderStyle, m_def_BorderStyle)
End Sub

Public Function FetchURL(URL As String, hURL As String) As Long
Attribute FetchURL.VB_Description = "Requests a URL.  Requires a URL and a string handle to ""tag"" the URL."

    AsyncRead URL, vbAsyncTypeByteArray, hURL

End Function

Public Function CancelURL(hURL As String) As Variant
Attribute CancelURL.VB_Description = "Cancels fetch of URL."
On Error Resume Next

    CancelAsyncRead hURL
    DoEvents
    
End Function

